Summary: A file compression and packaging utility compatible with PKZIP.
Name: zip
Version: 2.3
Release: 2mdk
Copyright: distributable
Group: Archiving/Compression
Url: ftp.uu.net:/pub/archiving/zip/
Source: ftp.uu.net:/pub/archiving/zip/%{name}-%{version}.tar.bz2
Prefix: /usr
BuildRoot: /var/tmp/zip-root

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and is
compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.

%prep
%setup 

%build
make -ef unix/Makefile prefix=/usr CC="gcc $RPM_OPT_FLAGS" generic_gcc

# gcc -v|grep -i 2.95 && OPT="-I. -DUNIX -DHAVE_DIRENT_H -DHAVE_TERMIOS_H" ||\
# OPT="-I. -DUNIX  -DHAVE_DIRENT_H -DHAVE_TERMIOS_H"
# 
# make -ef unix/Makefile prefix=/usr CFLAGS="$OPT $RPM_OPT_FLAGS" generic_gcc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}

make -f unix/Makefile prefix=$RPM_BUILD_ROOT/usr install
#CC="gcc $RPM_OPT_FLAGS -I. -DUNIX -DUTIL"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS  CHANGES  INSTALL  MANUAL  README  TODO  WHATSNEW  WHERE LICENSE
/usr/bin/*
/usr/man/man1/*

%changelog
* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3-2mdk
- rpm group change
- spec-helper related cleanup 

* Wed Dec 08 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- upgrade to 2.3
- add URL
- remove zip archive source for the tarball (who put both the source tarball
  and the source zip ?)
- add LICENCE file

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.2
- handle optimizations

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- bzip2 man-pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated text in the spec file

* Fri Jan 15 1999 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
